/*
 * PumpController.h
 *
 *  Created on: May 14, 2009
 *      Author: David
 */


#ifndef PUMPCONTROLLER_H_
#define PUMPCONTROLLER_H_

void readSerial();
void setISRtimer();
void startISR();
void stopISR();
void showPumpRunning();
void updateDisplay();
int showTemperature(int sensor);
void showSensorAddrs();
bool loadAddrsFromEprom();
int scroll(char*);
int getSensorNumber(char* addr);
int translateSensorNumber(int definedSensorNumber);
void loadDivisorsFromEprom();
boolean getFour();
void printSavedAddresses();

#endif /* PUMPCONTROLLER_H_ */
