/*
 * DS1820.h
 *
 *  Created on: May 14, 2009
 *      Author: David
 */

#ifndef DS1820_H_
#define DS1820_H_
#define ADDRESS_SIZE 17           //length of the sensor address string
#define ADDRESS_BYTE_SIZE 8       //length of the sensor address in bytes
#define TEMPERATURE_PIN 10      // Pin to connect the DS18S20s
#define MAX_TEMPERATURE_SENSORS 8 // maximum number of temperature sensors

//class DS1820 {
//public:
//	DS1820();
//	~DS1820();
//};
void updateTemperature();
void temperatureSetup();
boolean hasTemperatureSensor(int sensorNumber);
void listDevices();
void tempToAscii(double temp, char *buff);
float readTemperature(uint8_t* sensorAddress);

#endif /* DS1820_H_ */
